function onBegin()
	disableMovement()
	disableRetry()
	walkTo(-10412)
	player.Facing = getEnum("Celeste.Facings", "Right")
	wait(0.4)
	if not getFlag("Zanguango_AlreadyTalked") then
		playSound("event:/CC/CC_BrutalOrchestra/CC_BO_Zanguango1") -- woh!
		wait(0.5)
		say("CC_Aques_zanguango_intro")
		if choice("CC_Aques_zanguango_promptA","CC_Aques_zanguango_promptB") == 1 then
			say("CC_Aques_zanguango_A")
			playSound("event:/CC/CC_BrutalOrchestra/CC_BO_Zanguango4") -- mmmm...
			say("CC_Aques_zanguango_E")
			setFlag("FindTheTruth_Zanguango",true)
			endCutscene()
		else
			playSound("event:/CC/CC_BrutalOrchestra/CC_BO_Zanguango2") -- haaaah...
			say("CC_Aques_zanguango_B")
			if choice("CC_Aques_zanguango_prompt2A","CC_Aques_zanguango_prompt2B") == 1 then
				say("CC_Aques_zanguango_C")
				playSound("event:/CC/CC_BrutalOrchestra/CC_BO_Zanguango4") -- mmm...
				say("CC_Aques_zanguango_C2")
				playSound("event:/CC/CC_BrutalOrchestra/CC_BO_Zanguango2") -- haaaah...
				say("CC_Aques_zanguango_C3")
				local choiceC = choice("CC_Aques_zanguango_prompt3A","CC_Aques_zanguango_prompt3B",
				"CC_Aques_zanguango_prompt3C","CC_Aques_zanguango_prompt3D")
				if choiceC == 1 then
					say("CC_Aques_zanguango_D1")
					say("CC_Aques_zanguango_D5")
					playSound("event:/CC/CC_BrutalOrchestra/CC_BO_Zanguango4") -- mmm...
					say("CC_Aques_zanguango_D6")
					playSound("event:/CC/CC_BrutalOrchestra/CC_BO_Zanguango3") -- hehe
					say("CC_Aques_zanguango_D7")
					setFlag("FindTheTruth_Zanguango",true)
					endCutscene()
				elseif choiceC == 2 then
					playSound("event:/CC/CC_BrutalOrchestra/CC_BO_Zanguango2") -- haaaah...
					say("CC_Aques_zanguango_D2")
					say("CC_Aques_zanguango_D5")
					setFlag("FindTheTruth_Zanguango",true)
					endCutscene()
				elseif choiceC == 3 then
					playSound("event:/CC/CC_BrutalOrchestra/CC_BO_Zanguango3") -- hehe
					say("CC_Aques_zanguango_D3")
					say("CC_Aques_zanguango_D5")
					setFlag("FindTheTruth_Zanguango",true)
					endCutscene()
				else
					playSound("event:/CC/CC_BrutalOrchestra/CC_BO_Zanguango1") -- woh
					say("CC_Aques_zanguango_D4")
					say("CC_Aques_zanguango_D5")
					setFlag("FindTheTruth_Zanguango",true)
					endCutscene()
				end
			else
				say("CC_Aques_zanguango_F")
				player.ForceCameraUpdate = true
				walk(40)
				say("CC_Aques_zanguango_F2")
				walk(96)
				wait(0.15)
				player.Facing = getEnum("Celeste.Facings", "Left")
				wait(1.3)
				player.ForceCameraUpdate = false
				player.Facing = getEnum("Celeste.Facings", "Right")
				wait(0.4)
				say("CC_Aques_zanguango_F3")
				endCutscene()
			end
		end
	else
		if getFlag("FindTheTruth_Zanguango") then
			say("CC_Aques_zanguango_G2")
			playSound("event:/CC/CC_BrutalOrchestra/CC_BO_Zanguango5") -- hahaha
			say("CC_Aques_zanguango_G3")
		else
			say("CC_Aques_zanguango_G")
		end
	end
end

function onEnd()
	enableMovement()
	enableRetry()
	setFlag("Zanguango_AlreadyTalked",true)
end